<?php
/**
 * @file db.php
 * @brief db module
 *
 * Includes functions:
 *  - dbConnect()
 *  - dbQuery()
 *
 * @author Sobak
 * @version 1.0
 */


function dbConnect () {
    global $conn, $cfg;

    $conn = @mysql_connect ($cfg['db_server'], $cfg['db_user'], $cfg['db_pass']);
    $select = @mysql_select_db ($cfg['db_name'], $conn);

    if ($conn == false) {
        logger::add_event (1, __FILE__, __LINE__, "Can't connect to database: ".mysql_error());
        die ('Database error');
    }

    if ($select == false) {
        logger::add_event (1, __FILE__, __LINE__, "Can't select database: ".mysql_error());
        die ('Database error');
    }
}

/**
 *
 * @param $query <string> 
 * @return resource
 */
function dbQuery ($query) {
    global $conn, $cfg, $queriesCounter;

    $query = str_replace('{prefix}', $cfg['db_prefix'], $query);
    $resource = @mysql_query(trim($query), $conn);

    if ($resource == false) {
        logger::add_event (1, __FILE__, __LINE__, 'Bad query: '.mysql_error());
    }

    else {
        $queriesCounter++;
        return $resource;
    }
}

function dbSecure ($data) {
    return mysql_real_escape_string($data);
}

?>