<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="pl" lang="pl">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Language" content="pl" />

  <title>Iron CMS - Instalacja</title>

  <link rel="stylesheet" href="themes/default/style.css" type="text/css" />

</head>
<body>

 <div id="logo"><h1>Iron CMS - Instalacja</h1></div>

 <ul id="top_menu" style="color: white;">
     <li>Wstęp</li>
     <li>Dane do bazy i ustawienia</li>
     <li>Połączenie z DB</li>
     <li>Wypełnianie bazy danych</li>
     <li>Konto administratora</li>
 </ul>

<div id="container">

    <div class="menu">
        <ul>
                 <li>Wstęp</li>
                 <li>Dane do bazy i ustawienia</li>
                 <li>Połączenie z DB</li>
                 <li>Wypełnianie bazy danych</li>
                 <li>Konto administratora</li>
                 <li>Zakończenie</li>
        </ul>
    </div>

	<div class="content">

<?php
switch ($_GET['step']) {
    default:
        echo '<h2>Wstęp</h2>';
        echo '<p>Witaj w instalacji skryptu Iron CMS. Postępuj po prostu zgodnie z instrukcjami, a już za chwilę będziesz miał witrynę gotową do użytku.</p>';
        echo '<p>Jeszcze tylko sprawdzimy kilka parametrów Twojego serwera ;):</p>';
        // Check important things
        if (phpversion () < 5) echo '<p class="error">Wymagane PHP w wersji 5!</p>';
        if (!is_writable('config.php')) chmod ('config.php', '0sdf777') or die ('<p class="error">Plik config.php musi mieć prawa do zapisu. Nadaj mu chmod <code>777</code></p>');

        echo '<p>Jeśli powyżej nie wystąpiły żadne błędy, to możesz przejść <a href="?step=2">dalej</a></p>';
        break;


    case 2:
        echo '<h2>Dane do bazy</h2>';
        echo '<p>Musisz teraz podać dane konieczne do poąłczenia się z Twoją bazą danych.</p>';
        echo '<form action="?step=3" method="post">';
        echo '<b>Serwer DB</b> <input type="text" name="server" /><br />';
        echo '<b>Użytkownik DB</b> <input type="text" name="user" /><br />';
        echo '<b>Hasło DB</b> <input type="password" name="pass" /><br />';
        echo '<b>Nazwa DB</b> <input type="text" name="dbname" /><br />';
        echo '<b>Prefix tabel</b> <input type="text" name="prefix" /> (np. <code>iron_</code>)<br />';

        echo '<h2>Inne dane</h2>';
        echo '<b>Adres do strony (z ukośnikiem na końcu!!)</b> <input type="text" name="site_url" /> (np. <code>http://twoja_strona/katalog/z/cms-em/</code>)<br />';
        echo '<input type="submit" value="Dalej" /></form>';
        break;

    case 3:
        echo '<h2>Połączenie z bazą</h2>';
        // Save data from form to variables
        $server = $_POST['server'];
        $user = $_POST['user'];
        $pass = $_POST['pass'];
        $dbname = $_POST['dbname'];
        $prefix = $_POST['prefix'];

        $site_url = $_POST['site_url'];

        $conn = @mysql_connect($server, $user, $pass);
        $select = @mysql_select_db($dbname);

        if ($conn) echo '<p class="success">Połączenie z bazą zostało nawiązane pomyślnie.</p>';
        else echo '<p class="error">Błąd! Nie udało się nawiązać połączenia z bazą! <a href="?step=2">Wróć</a></p>';

        if ($select) echo '<p class="success">Baza danych została wybrana.</p>';
        else die ('<p class="error">Błąd! Nie udało się połączyć z bazą danych! <a href="?step=2">Wróć</a></p>');


        $configFileData = '
            <?php
            $cfg[\'db_server\'] = \''.$server.'\'; // Usually \'localhost\'
            $cfg[\'db_user\'] = \''.$user.'\'; // Database user\'s name
            $cfg[\'db_pass\'] = \''.$pass.'\'; // Database user\'s password
            $cfg[\'db_name\'] = \''.$dbname.'\'; // Database name (database should already exists)
            $cfg[\'db_prefix\'] = \''.$prefix.'\'; // You possibly shouldn\'t modify this value

            # Other settings
            $cfg[\'site_url\'] = \''.$site_url.'\'; // Site url, WITH ending slash!
            $cfg[\'min_login_length\'] = 6; // Minimal length of login
            $cfg[\'min_pass_length\'] = 6; // Minimal length of password
            $cfg[\'debug\'] = false; // Show debug info in footer?
            $cfg[\'date_format\'] = \'d.m.Y H:i\'; // Date format (date function\'s format)

            # CMS version
            define (\'VERSION\', \'1.0\');
            ?>
        ';

        file_put_contents('config.php', $configFileData) or die ('<p class="error">Nie udało się wypełnić pliku konfiguracyjnego!</p>');
        echo '<p class="success">Wygląda na to, że plik konfiguracyjny został wypełniony pomyślnie. Teraz nastąpi wypełnienie bazy danych danymi domyślnnymi. <a href="?step=4">Dalej</a></p>';
        break;

    case 4:
        require 'config.php';
        $pref = $cfg['db_prefix'];

        @mysql_connect($cfg['db_server'], $cfg['db_user'], $cfg['db_pass']) or die ('<p class="error">Nie udało się połączyć z bazą!</p>');
        @mysql_select_db($cfg['db_name']) or die ('<p class="error">Nie udało się wybrać bazy!</p>');
        mysql_query("SET NAMES 'utf8_bin'");
        
        $query = "CREATE TABLE IF NOT EXISTS `".$pref."activation` (
  `hash` varchar(15) COLLATE utf8_bin NOT NULL,
  `id` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;";

$query2 = "CREATE TABLE IF NOT EXISTS `".$pref."articles` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date` varchar(20) COLLATE utf8_bin NOT NULL,
  `author` varchar(35) CHARACTER SET utf8 COLLATE utf8_polish_ci NOT NULL,
  `content` text CHARACTER SET utf8 COLLATE utf8_polish_ci NOT NULL,
  `title` varchar(150) CHARACTER SET utf8 COLLATE utf8_polish_ci NOT NULL,
  `rss_random` varchar(10) COLLATE utf8_bin NOT NULL,
  `cat_id` varchar(25) COLLATE utf8_bin NOT NULL,
  `tags` text COLLATE utf8_bin NOT NULL,
  `seo_title` varchar(100) COLLATE utf8_bin NOT NULL,
  `in_trash` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  FULLTEXT KEY `title` (`title`,`content`),
  FULLTEXT KEY `tags` (`tags`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=9 ;";

$query4 = "INSERT INTO `".$pref."categories` (`id`, `name`) VALUES
('test', 'Kategoria testowa'),
('other', 'Inne');";

$query5 = "CREATE TABLE IF NOT EXISTS `".$pref."comments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `author` varchar(35) CHARACTER SET utf8 COLLATE utf8_polish_ci NOT NULL,
  `date` varchar(30) COLLATE utf8_bin NOT NULL,
  `content` text CHARACTER SET utf8 COLLATE utf8_polish_ci NOT NULL,
  `page_id` varchar(35) COLLATE utf8_bin NOT NULL,
  `accepted` tinyint(1) NOT NULL,
  `ip` varchar(20) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=7 ;";

$query6 = "CREATE TABLE IF NOT EXISTS `".$pref."content` (
  `additional_headers` text CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `allow_comments` tinyint(1) NOT NULL,
  `id` varchar(40) NOT NULL,
  `content` text CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `description` varchar(200) NOT NULL,
  `keywords` varchar(200) NOT NULL,
  `title` varchar(100) NOT NULL,
  `in_trash` tinyint(1) NOT NULL DEFAULT '0',
  FULLTEXT KEY `title` (`title`,`keywords`,`description`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;";


$query7 = "INSERT INTO `".$pref."content` (`additional_headers`, `allow_comments`, `id`, `content`, `description`, `keywords`, `title`, `in_trash`) VALUES
('', 1, 'main_page', '<p>Twoja pierwsza strona glowna. Mozesz ja zmienic w panelu administracyjnym</p>', 'Strona Glowna', 'strona, glowna', 'Strona Główna', 0);";

$query8 = "CREATE TABLE IF NOT EXISTS `".$pref."menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `order` int(11) NOT NULL,
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_polish_ci NOT NULL,
  `url` varchar(200) COLLATE utf8_bin NOT NULL,
  `menu_id` varchar(25) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=11 ;";

$query9 = "INSERT INTO `".$pref."menu` (`id`, `order`, `name`, `url`, `menu_id`) VALUES
(1, 1, 'Strona główna', 'index.php', 'left_menu'),
(2, 2, 'Strona testowa', '?test', 'left_menu'),
(3, 3, 'Artykuły', '?articles', 'left_menu'),
(5, 5, 'Szukaj', '?search', 'left_menu'),
(0, 1, 'Strona główna', '?', 'top_menu');";

$query10 = "CREATE TABLE IF NOT EXISTS `".$pref."settings` (
  `setting` varchar(40) NOT NULL,
  `value` text CHARACTER SET utf8 COLLATE utf8_bin NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;";

$query11 = "INSERT INTO `".$pref."settings` (`setting`, `value`) VALUES
('admin_theme', 'default'),
('theme', 'default'),
('default_keywords', 'domyslne, slowa, kluczowe'),
('default_description', 'Oto przykład domyślnego opisu :)'),
('short_news_length', '100'),
('home_id', 'main_page'),
('default_lang', 'pl');";


$query12 = "CREATE TABLE IF NOT EXISTS `".$pref."static` (
  `additional_headers` text CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `allow_comments` tinyint(1) NOT NULL,
  `id` varchar(40) NOT NULL,
  `description` varchar(200) NOT NULL,
  `keywords` varchar(200) NOT NULL,
  `title` varchar(100) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;";

$query13 = "INSERT INTO `".$pref."static` (`additional_headers`, `allow_comments`, `id`, `description`, `keywords`, `title`) VALUES
('', 0, 'user', 'System UżytkownikA3w', 'users, system, użytkownicy, rejestracja, logowanie, profil', 'System UżytkownikA3w'),
('', 0, 'articles', 'Tutaj możesz przeczytać moje artykuły :)', 'artykuły, wpisy, posty, blog', 'Artykuły'),
('', 0, 'comment', '', '', 'Nowy komentarz'),
('', 0, 'tag', '', '', 'Tag'),
('', 0, 'search', '', '', 'Szukaj'),
('', 0, 'login', '', '', 'Logowanie'),
('', 0, 'logout', 'Tutaj możesz się wylogować', 'wyloguj, użytkownik, cms', 'Wylogowywanie'),
('', 0, 'register', '', '', 'Rejestracja'),
('', 0, 'active', '', '', 'Aktywacja'),
('', 0, 'profile', '', '', 'Profil');";

$query14 = "CREATE TABLE IF NOT EXISTS `".$pref."users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `login` varchar(32) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `pass` varchar(100) NOT NULL,
  `email` varchar(40) NOT NULL,
  `level` tinyint(1) NOT NULL DEFAULT '0',
  `active` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;";

        $insertData = mysql_query($query);
        $insertData2 = mysql_query($query2);
        $insertData4 = mysql_query($query4);
        $insertData5 = mysql_query($query5);
        $insertData6 = mysql_query($query6);
        $insertData7 = mysql_query($query7);
        $insertData8 = mysql_query($query8);
        $insertData9 = mysql_query($query9);
        $insertData10 = mysql_query($query10);
        $insertData11 = mysql_query($query11);
        $insertData12 = mysql_query($query12);
        $insertData13 = mysql_query($query13);
        $insertData14 = mysql_query($query14);

        if (!$insertData or !$insertData2 or !$insertData4 or !$insertData5 or !$insertData6 or !$insertData7 or !$insertData8 or !$insertData9 or !$insertData10 or !$insertData11 or !$insertData12 or !$insertData13 or !$insertData14) {
            echo '<p class="error">Nie udało się wypełnić bazy danych!<br /><code>'.mysql_error().'</code></p>';
        }

        else
            echo '<p class="success">Twoja baza danych zostałą wypłeniona. <a href="?step=5">Ostatni krok</a></p>';


        break;

    case 5:
        echo '<p>Twoja witryna jest już prawie gotowa. Teraz tylko podaj jej nazwę i utwórz konto administratora.</p>';
        echo '<form action="?step=6" method="post">';
        echo '<b>Nazwa Twojej witryny</b>: <input type="text" name="site_title" /><br />';
        echo '<b>Login administratora:</b> <input type="text" name="admin_login" /><br />';
        echo '<b>Hasło administratora:</b> <input type="password" name="admin_pass" /> (nie pomyl się!)<br />';
        echo '<b>Email administratora:</b> <input type="text" name="admin_email" /><br />';
        echo '<input type="submit" value="Zakończ" />';

        break;

    case 6:
        require 'modules/user.php';
        require 'config.php';
        $pref = $cfg['db_prefix'];
        @mysql_connect($cfg['db_server'], $cfg['db_user'], $cfg['db_pass']) or die ('<p class="error">Nie udało się połączyć z bazą!</p>');
        @mysql_select_db($cfg['db_name']) or die ('<p class="error">Nie udało się wybrać bazy!</p>');
        mysql_query("SET NAMES 'utf8_bin'");

        $endQuery = "
        INSERT INTO `".$pref."settings` (`setting`, `value`) VALUES ('site_title', '".$_POST['site_title']."'),
            ('admin_email', '".$_POST['admin_email']."');";
        
        $endQuery2 = "INSERT INTO `".$pref."users` (`id`, `login`, `pass`, `email`, `level`, `active`) VALUES
        ('', '".$_POST['admin_login']."', '".usPassSalter($_POST['admin_pass'])."', '".$_POST['admin_email']."', 1, 1);
        ";

        $result = @mysql_query($endQuery) or die ('<p class="error">Nie udało się utworzyć konta administratora!<br /><code>'.mysql_error().'</code></p>');
        $result2 = @mysql_query($endQuery2) or die ('<p class="error">Nie udało się utworzyć konta administratora!<br /><code>'.mysql_error().'</code></p>');

        // All is ok. Show message
        echo '<p class="success">Instalacja została zakończona. Skasuj plik <code>install.php</code>, nadaj chmody <code>644</code> plikowi <code>config.php</code> i <a href="'.$cfg['site_url'].'?login">zaloguj się.</a></p>';
}



?>

 </div>

	<div id="footer">
		<div id="copyright">Powered by <a href="http://cms.sobak.pl">Iron CMS</a></div>
        <div id="design">
            Design: <a href="http://www.flankerds.com" title="Darmowe szablony">flankerds.com</a> modified by Sobak</div>
	</div>

</div>

</body>
</html>