<?php
// Save values which are used more than once, to varables
$site_title = getSetting ('site_title')

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="pl" lang="pl">
<head>
  <base href="<?php echo $cfg['site_url']; ?>" />
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Language" content="pl" />
  
  <title><?php echo $site_title.' :: '.$content['title']; ?></title>

  <link rel="stylesheet" href="themes/<?php echo THEME; ?>/style.css" type="text/css" />
  <link rel="shortcut icon" href="themes/<?php echo THEME; ?>/img/favicon.ico" />

  <meta name="keywords" content="<?php echo getKeywords(); ?>" />
  <meta name="description" content="<?php echo getDescription(); ?>" />
  <meta name="generator" content="Iron CMS <?php echo VERSION; ?>" />
  <?php
   echo $content['additional_headers'];
  ?>
</head>
<body>

 <div id="logo"><h1><?php echo $site_title; ?></h1></div>
 
 <ul id="top_menu">
    <?php menuTopGenerator('top_menu', '<li>', '</li>'); ?>
 </ul>

<div id="container">
	
    <div class="menu">
	<h3>Menu</h3>
        <ul>
            <?php menuLeftGenerator('left_menu', '<li>', '</li>'); ?>
        </ul>
    </div>

	<div class="content">